Bug 8573 - hardcoded /usr/lib and x86_64
: hardcoded /usr/lib and x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/freeciv)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-29 00:43 by
Modified: 2005-12-02 01:11 (History)


Attachments
Proposed patch (872 bytes, patch)
2005-11-29 00:45, Damir Shayhutdinov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-29 00:43:43
В спеке и в скрипте wrapper присутствуют hardcoded пути /usr/lib. Из-за них на
x86_64 не запускается civ-сервер и соответственно играть нельзя.
------- Comment #1 From 2005-11-29 00:45:11 -------
Created an attachment (id=1267) [details]
Proposed patch

Вот, собственно, патч к спеку исправляющий проблему. Однако, все предельно
тривиально.
------- Comment #2 From 2005-11-30 16:25:44 -------
Ошибка как раз в другом: используется %_libdir там, где должно быть /usr/lib
(или %_libexecdir, как вам больше нравится).
------- Comment #3 From 2005-11-30 16:35:37 -------
Fixed in 2.0.7-alt2.